List Communications for a Campaign
curl --request GET \
--url https://api.virtuoussoftware.com/api/Communication/ByCampaign/{campaignId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Communication/ByCampaign/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Communication/ByCampaign/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Communication/ByCampaign/{campaignId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Communication/ByCampaign/{campaignId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"communicationId": "<integer>",
"name": "<string>",
"campaignId": "<integer>",
"campaignName": "<string>",
"channelType": "<string>",
"communicationType": "<string>",
"startDateTimeUtc": "<dateTime>",
"givingGoal": "<decimal>",
"projectId": "<integer>",
"projectCode": "<string>",
"projectName": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
},
{
"communicationId": "<integer>",
"name": "<string>",
"campaignId": "<integer>",
"campaignName": "<string>",
"channelType": "<string>",
"communicationType": "<string>",
"startDateTimeUtc": "<dateTime>",
"givingGoal": "<decimal>",
"projectId": "<integer>",
"projectCode": "<string>",
"projectName": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}
],
"total": "<integer>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Communications
List Communications for a Campaign
GET
/
api
/
Communication
/
ByCampaign
/
{campaignId}
List Communications for a Campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The campaign identifier.
Query Parameters
The filter.
The field to be sorted. Supported: Id, Name, CreatedDateTime.
The direction to sort the results. Set to true to sort in descending order.
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on July 24, 2026
Was this page helpful?
⌘I